#ifndef _Handle_PColPGeom2d_HArray1OfBSplineCurve_HeaderFile
#define _Handle_PColPGeom2d_HArray1OfBSplineCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColPGeom2d_HArray1OfBSplineCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColPGeom2d_HArray1OfBSplineCurve);

class Handle(PColPGeom2d_HArray1OfBSplineCurve) : public Handle(Standard_Persistent) {
  public:

    Handle(PColPGeom2d_HArray1OfBSplineCurve)():Handle(Standard_Persistent)() {} 
    Handle(PColPGeom2d_HArray1OfBSplineCurve)(const Handle(PColPGeom2d_HArray1OfBSplineCurve)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColPGeom2d_HArray1OfBSplineCurve)(const PColPGeom2d_HArray1OfBSplineCurve* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColPGeom2d_HArray1OfBSplineCurve)& operator=(const Handle(PColPGeom2d_HArray1OfBSplineCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColPGeom2d_HArray1OfBSplineCurve)& operator=(const PColPGeom2d_HArray1OfBSplineCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColPGeom2d_HArray1OfBSplineCurve* operator->() const 
     {
      return (PColPGeom2d_HArray1OfBSplineCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColPGeom2d_HArray1OfBSplineCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
